This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1015316 - Installation Documentation not match with installation script options
Installation Documentation not match with installation script options
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
560
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Dan Macpherson
Dan Macpherson
: Triaged
Depends On:
Blocks: sat-docs
  Show dependency treegraph
 
Reported: 2013-10-03 18:16 EDT by DzungDo
Modified: 2015-10-20 22:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-20 22:10:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
picture shows difference between documentation and command result (878.27 KB, image/png)
2013-10-03 18:16 EDT, DzungDo
no flags Details

  None (edit)
Description DzungDo 2013-10-03 18:16:30 EDT
Created attachment 807312 [details]
picture shows difference between documentation and command result

Description of problem:
Problem 1:
From the installation script, running "install.pl --help" returned 22 options.
From Table 3.1 of the installation documentation, the number of options are 17

Problem 2:
install.pl --help has "--external-postgresql" while installation documentation has "--external-postgres"

Version-Release number of selected component (if applicable):
satellite-5.6.0-20130927-rhel-6-x86_64.iso

How reproducible:
always

Steps to Reproduce:
1.Mount ISO in /mnt
2.Run "/mnt/install.pl --help" and count the number of available options
3.

Actual results:
Documentation missing 5 items.

Expected results:
Documentation should show same list options, and correctly spelled.

Additional info:
Comment 1 Dan Macpherson 2014-01-21 10:20:06 EST
This bug can be worked on early during the planning stages for Satellite 5.7.
Comment 2 Athene Chan 2014-09-29 03:15:14 EDT
Problem 2 has been rectified:

Procedure 4.10. Running Installation Script
http://docbuilder.usersys.redhat.com/22903/#Running_the_Installation_Script1

Changed:

--external-postgres

to 

--external-postgresql


Problem 1 is moot as the table has been removed from the book.
Comment 3 Dan Macpherson 2015-10-20 22:10:52 EDT
This has been rectified and released as a part of Satellite 5.7.

Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.